classification
Title: Deprecate spitfire benchmark
Type: crash Stage: resolved
Components: Benchmarks Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, florin.papa, pitrou, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2015-11-24 10:54 by florin.papa, last changed 2015-12-02 13:17 by florin.papa. This issue is now closed.

Files
File name Uploaded Description Edit
deprecate_spitfire.patch florin.papa, 2015-11-24 10:54
Messages (6)
msg255260 - (view) Author: Florin Papa (florin.papa) * Date: 2015-11-24 10:54
Hi all,

This is Florin Papa from the Server Languages Optimizations Team at Intel Corporation.

The patch submitted here deprecates the spitfire benchmark, which uses psyco. Psyco is "unmaintained and dead", according to their website (http://psyco.sourceforge.net/) and it has not received any updates since 2012. The spitfire benchmark crashes because psyco does not have support for x64 architectures.

To apply the patch please follow these steps:

hg clone https://hg.python.org/benchmarks
cd benchmarks/
copy deprecate_spitfire.patch to the current directory
hg import --no-commit deprecate_spitfire.patch

Thank you,
Florin Papa
msg255321 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-11-25 05:39
+1

Unless anybody else objects in the next couple days, I'll commit this.
msg255365 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2015-11-25 16:23
I don't object and I'm on vacation without my laptop so I won't beat you to committing it.
msg255467 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-11-27 17:38
New changeset 75751d838789 by Zachary Ware in branch 'default':
Issue #25719: Deprecate spitfire benchmark.
https://hg.python.org/benchmarks/rev/75751d838789
msg255468 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-11-27 17:38
Done.  Thanks, Florin!
msg255713 - (view) Author: Florin Papa (florin.papa) * Date: 2015-12-02 13:17
No problem. Thank you!
History
Date User Action Args
2015-12-02 13:17:59florin.papasetmessages: + msg255713
2015-11-27 17:38:56zach.waresetstatus: open -> closed
resolution: fixed
messages: + msg255468

stage: commit review -> resolved
2015-11-27 17:38:30python-devsetnosy: + python-dev
messages: + msg255467
2015-11-25 16:23:20brett.cannonsetmessages: + msg255365
2015-11-25 05:39:43zach.waresetversions: - Python 2.7
nosy: + zach.ware

messages: + msg255321

stage: commit review
2015-11-24 10:54:19florin.papacreate